<?php
/*
Handy functions for the display of standings
*/

function sls_team_schedule ($teamtosort, $team_game_filter = 0) {

/*
Call this function to show the schedule for all teams or a specific team, for upcoming games, past scores, or all games
The first parameter specifies the team ID, which is 0 to show all teams
The second parameter specifies the filter to apply to the games: 0 or blank means all games, 1 means upcoming games, 2 means past scores

Examples:
sls_team_schedule(0); will show all games for all teams
sls_team_schedule(4, 2); will show past scores for the team with an ID of 4
sls_team_schedule(0, 1); will show upcoming games for all teams
*/
    global $show_fields;
    
    $teamtosort = abs(intval($teamtosort));

    // Specified a team
    if ($teamtosort > 0) {
        // Does this team exist?
        $team_exist_query = 'SELECT COUNT(*) FROM sportsdb_teams WHERE teamid = ' . $teamtosort;
        $team_exist_check = mysql_query($team_exist_query);
            if (mysql_result($team_exist_check, 0) == 0) {
                die ('No such team exists');
        }
    
        // MySQL code to select a specific team
        $team_specific_sort = 'AND (sportsdb_wins.winner = ' . $teamtosort  . ' OR sportsdb_wins.loser = ' . $teamtosort . ') ';
    }

    // Show upcoming games only
    if ($team_game_filter == 1) {
        $score_sort = 'ASC';
        $score_game_filter = 'AND sportsdb_wins.winortie = 3 ';
    }

    // Show past scores only
    if ($team_game_filter == 2) {
        $score_sort = 'DESC';
        $score_game_filter = 'AND sportsdb_wins.winortie != 3 ';
    }

?>
<table class="scorestable">
    <tr>
        <th>Date</th>
        <th>Time</th>
        <th>Home</th>
        <th>Away</th>
<?php if ($show_fields) { ?>
        <th>Field</th>
<?php } ?>
<?php if ($team_game_filter != 1) { ?>
        <th>Score</th>
<?php } ?>
        <th>&nbsp;</th>
    </tr>
<?php
    
$queryscores="SELECT sportsdb_wins.winid, sportsdb_wins.windate, sportsdb_wins.wintime, 
            sportsdb_wins.rf, sportsdb_wins.ra, sportsdb_wins.wincomments, 
            sportsdb_wins.field, sportsdb_wins.winortie, 
            sportsdb_teams2.teamname AS winningteam, 
            sportsdb_teams.teamname AS losingteam 
            FROM sportsdb_wins, sportsdb_teams AS sportsdb_teams2, sportsdb_teams 
            WHERE sportsdb_teams2.teamid = sportsdb_wins.winner 
            AND sportsdb_teams.teamid = sportsdb_wins.loser 
            $team_specific_sort
            $score_game_filter
            ORDER BY wintime $score_sort";

$resultscores=mysql_query($queryscores);

while ($scores = mysql_fetch_array($resultscores, MYSQL_ASSOC)) {

    $windateheader=$scores['windate'];
    $windateformatted=date("F d, Y",$windateheader);
    $wintime=$scores['wintime'];
    $hour=date('g',$wintime);
    $minute=date('i',$wintime);
    $ampm=date('a',$wintime);
?>
    <tr>
        <td><?php print $windateformatted; ?></td>
        <td><?php print $hour . ':' . $minute . $ampm; ?></td>
        <td><?php print $scores['winningteam']; ?></td>
        <td><?php print $scores['losingteam']; ?></td>
<?php if ($show_fields) { ?>
        <td><?php print $scores['field']; ?></td>
<?php } ?>
<?php if ($team_game_filter != 1) { ?>
        <td>
<?php
    // Show the score unless the game has not been played yet
    if ($scores['winortie'] != 3) { print $scores['rf'] . ' - ' . $scores['ra'];
        if ($scores['winortie'] == 2 || $scores['winortie'] == 5) {
            print ' (ff)';
        }
    }
    print '</td>';
}
?>

        <td><?php print $scores['wincomments']; ?></td>
    </tr>
<?php } 
print '</table>';
}

function get_team_name ($teamid) {
    $team_name_query = 'SELECT teamname FROM sportsdb_teams WHERE teamid = ' . $teamid;
    $team_name_check = mysql_query($team_name_query);
        if (mysql_num_rows($team_name_check) == 0) {
            return 'No such team exists';
        }
        else {
            return mysql_result($team_name_check,0);
        }
}
?>